<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

// Route::middleware('auth:api')->get('/user', function (Request $request) {
//     return $request->user();
// });

Route::group(['middleware' => 'mobileapps'], function() {
	Route::post('/mobile/login', 'Api\LoginMobile@requestLogin');
	Route::post('/mobile/update/profile', 'Api\LoginMobile@updateProfile');
	Route::post('/mobile/update/image', 'Api\LoginMobile@updateProfileImage');
	Route::post('/mobile/update/password', 'Api\LoginMobile@updatePassword');
	Route::post('/mobile/logout', 'Api\LoginMobile@requestLogout');

	Route::post('/mobile/workorder/schedule','Api\WorkOrderMobile@getSchedule');
	Route::post('/mobile/docket', 'Api\WorkOrderMobile@getDocket');
	Route::post('/mobile/docket/detail', 'Api\WorkOrderMobile@getDocketDetail');

	Route::post('/mobile/workorder/detail','Api\WorkOrderMobile@getWorkOrderDetail');
	Route::post('/mobile/create/docket','Api\DocketMobile@createDocket');
	Route::post('/mobile/update/workorder','Api\WorkOrderMobile@updateWorkOrder');
	Route::get('/mobile/questions/list','Api\WorkOrderMobile@getQuestions');

	/////////////////////////////////////////////////////////////////////////////
	Route::get('/workorder/statistic','Api\MynixController@workOrderStatistics');
	Route::get('/workorder/list','Api\MynixController@workOrderList');
	Route::get('/customer/list','Api\MynixController@getCustomerList');
	Route::get('/customer/statistic','Api\MynixController@customerStatistic');

	Route::get('/get/password/{encrypt}/{string}','Api\LoginMobile@encryptPassword');

	Route::get('/update/incentives','DS\DealerClaimController@updateIncentives');

	Route::get('/form/statistic','Api\FormController@getFormStatistic');
	Route::get('/claim/12/12/2019','DS\MarketingController@manualDate');
	Route::get('/get-data','Api\FormController@get_data_form');	
});

/*
|--------------------------------------------------------------------------
| Residential Form 
|--------------------------------------------------------------------------
*/
Route::get('/get-coverage-detail/{_id}', 'Api\Controller@getCoverageDetail');
